<?php
# Tarif_edit_detail_module ver.1.0
# last modification 14.2.2010
# Formulář pro úpravu vybraného tarifu
# 
 if (IsSet($_GET['idTARIF'])){$_SESSION['idTARIF']=$_GET['idTARIF'] ;}
  if (IsSet($_GET['TED_SUBMITED']))
  {
     include "db_connect.php"  ;
     $query="SELECT idCENAJEDNOTKY 
              FROM union_cost
              WHERE cost=".$_GET['TED_COST']."";
     $result = mysql_query($query);
     if (mysql_num_rows($result)==0)
     {
        $query="INSERT INTO union_cost (cost) 
                VALUES (".$_GET['TED_COST'].")";
        $result = mysql_query($query);
        if (!$result) {
          die('Aktualizace dat nebyla zapsána:' . mysql_error());
        }
        $query="SELECT last_insert_id()";
        $result = mysql_query($query);
        if (!$result) {
          die('Aktualizace dat nebyla zapsána:' . mysql_error());
        }
        list($idCENAJEDNOTKY) = mysql_fetch_row($result)
     }
     else{
        list($idCENAJEDNOTKY) = mysql_fetch_row($result)  ;
     }                  
    include "db_connect.php"  ;
    $query="UPDATE tarif SET Name=\"".$_GET['TED_NAME']."\",idCENAJEDNOTKY=".$idCENAJEDNOTKY.",
                              description=\"".$_GET['TED_DESCRIPTION']."\", ";
     if(!IsSet($_GET['TED_VALIDITY'])) {
        $query=$query."validity=0";
      }
      else
      {
        $query=$query."validity=".$_GET['TED_VALIDITY']."";
      }                       
    $query=$query." WHERE idTARIF=".$_SESSION['idTARIF']."";
    $result = mysql_query($query);
          
    if (!$result) {
      echo ($query);
      die('Aktualizace dat nebyla zapsána:' . mysql_error());
    }
    else{
      echo "Změny uloženy." ;
    }
  
  
  
  
  }
 
  include "db_connect.php"  ;
  $query="SELECT T.Name,T.idCENAJEDNOTKY,UC.cost,T.description,T.validity
          FROM tarif T
          LEFT JOIN union_cost UC on UC.idCENAJEDNOTKY=T.idCENAJEDNOTKY AND UC.validity=1
          WHERE T.idTARIF=\"".$_SESSION['idTARIF']."\"
          ";
  $result = mysql_query($query);
  if (!$result) {
      die('Informace o tarifu nelze načíst. ' . mysql_error());
  }
  list($tarifname,$T_idCENAJEDNOTKY,$costperunion,$description,$validity) = mysql_fetch_row($result)  ;

?>
<center>
<div class="forms">
  <h2>Detail/editace tarifu</h2>
  <form action="admin_page.php" method="get">
    <table>
      <tr>
        <td>ID tarifu: </td><td><input type="text" name="idTARIF" value="<?php echo($_SESSION['idTARIF']); ?>" disabled ></td>
      </tr><tr>
        <td>Název tarifu: </td><td><input type="text" name="TED_NAME" value="<?php echo($tarifname); ?>"></td>
      </tr><tr>
        <td>Cena jednotky: </td><td><input type="text" name="TED_COST" value="<?php echo($costperunion); ?>"></td>
             <?php /*
            #Část která vyčítá do roletky formuláře možné uživatelské skupiny
            include "db_connect.php";
            $query="SELECT idCENAJEDNOTKY,cost
                    FROM union_cost
                    ORDER BY cost ASC";
            $result = mysql_query($query);
            if (!$result) {
              die('Nelze načíst ceny jednotek:' . mysql_error());
            }
            if (mysql_num_rows($result)!=0){
              echo ("<td>Cena jednotky: </td><td><select name=\"TED_UNIONCOST\" size=\"1\">");
                                                echo("<option value=\"NULL\">Cena neurčena</option>");
                                                while (list($idCENAJEDNOTKY, $cost ) = mysql_fetch_row($result)){
                                                #podmínka pro nastavení defaultní hodnoty ceny jednotky tarifu
                                                if($T_idCENAJEDNOTKY==$idCENAJEDNOTKY){ echo("<option value=\"".$idCENAJEDNOTKY."\" selected>".$cost."</option>");}                                             
                                                else
                                                {echo("<option value=\"".$idCENAJEDNOTKY."\">".$cost."</option>");}
                                                }
         
                                       echo ("</select>");
                                       echo ("</td>");
                                       
          }          */
          ?>
      </tr><tr>
        <td>Popis: </td><td align="right">Aktivní:  <input type="checkbox" name="TED_VALIDITY"  value="1"<?php if ($validity==1)  echo "checked";?>></td>
      </tr><tr>
         <td colspan=2><textarea cols="60" name="TED_DESCRIPTION"  style="max-width:300px"><?php echo($description); ?></textarea>   <td>
      </tr><tr>
        <input type="hidden" name="TED_SUBMITED" value="TRUE">
        <td colspan=2 align="right"><input type="reset" value="Zruš změny"><input type="submit" value="Ulož">  </td>
      </tr>
                
    </table>
  </form>

</div>
</center>
